@charset "UTF-8";

html {
	width: 100%;
	height: 100%;
}

body {
	width: 100%;
	height: 100%;
	background-image: linear-gradient(rgb(153, 193, 241), rgb(26, 95, 180));
}

.darkmode {
	color: silver;
}

.mainpanel {
	background-color: rgba(255, 255, 255, 0.3);
	padding: 12px;
	width: calc(100%);
	height: calc(100vh - 92px);
	overflow: auto;
}

.offline {
	width: auto !important;
	height: auto !important;
}

.flashlight {
	background-color: #5e5c64;
	padding: 2px;
	padding-left: 8px;
	color: white;
}

.centermiddle {
	text-align: center;
	margin-top: 30vh;
}

.offlinebtn {
	border: 1px solid black;
	background-image: linear-gradient(to left, rgb(255, 255, 255),
		rgb(154, 153, 150));
	border-radius: 4px;
	padding: 8px;
	text-decoration: unset;
	color: black;
}

.offlinebtn:hover {
	background-image: linear-gradient(to left, rgb(153, 193, 241),
		rgb(26, 95, 180));
}

.btn-offline {
	text-decoration: line-through;
}

.menudevelopererror {
	color: red;
	font-weight: bolder;
}

.menuversion {
	font-size: 7pt;
	position: absolute;
	top: 29px;
	color: gray;
}

.menuselection {
	background: rgba(0, 0, 0, 0.1);
	border-radius: 6px;
	border: 1px solid #444 !important;
}

/* for the progressing, see progress.js */
.loading {
	position: absolute;
	background: rgba(0, 0, 0, 0.5);
	color: white;
	font-weight: bolder;
	font-size: xx-large;
	top: 0px;
	bottom: 0px;
	left: 0px;
	right: 0px;
	text-align: center;
	padding-top: 45vh;
}

.loading_part {
	background: rgba(0, 0, 0, 0.5);
	color: white;
	font-weight: bolder;
	font-size: xx-large;
	text-align: center;
	min-height: inherit;
	min-width: inherit;
	max-height: inherit;
	max-width: inherit;
	align-items: center;
	display: flex;
	padding-left: 47%;
}

.menubtnselected {
	border: 1px solid gray;
	border-bottom: 1px solid silver;
	border-right: 1px solid silver;
	border-radius: 6px;
}

.menubtn {
	border: 1px solid rgba(1, 1, 1, 0);
	color: black !important;
}

.menubtn:hover {
	border-radius: 6px;
	background-color: rgba(0, 0, 0, 0.1);
}

.welcomecard {
	margin-top: 8px; 
	margin-bottom: 8px;
	min-height: 350px;
	max-height: 350px;
}

.yscrollable {
	overflow-y: auto;
}

.cardlogo {
	margin: 8px;
	margin-left: 0px;
}

.btn-hoverborder {
	border: 1px solid rgba(1, 1, 1, 0);
	height: 42px;
}

.btn-hoverborder:hover {
	border: 1px solid gray;
	border-radius: 6px;
	background: silver;
}

.btn-hamburger {
	padding-left: 8px;
	margin: 2px;
}

.btn-hamburger-check {
	right: 8px;
	top: 8px;
	position: absolute;
}

.borderpadded {
	padding: 6px;
}

.nobreak {
	white-space: nowrap;
}

.badge {
	background: rgba(255, 255, 255, 0.8);
	padding: 4px;
	border-radius: 12px;
	border: 1px solid silver;
	color: black;
	font-weight: normal;
}

.badgeleft {
	background: rgba(255, 255, 255, 0.5);
	padding: 4px;
	border-radius: 12px 0px 0px 12px;
	border: 1px solid silver;
}

.badgeright {
	background: rgba(255, 255, 255, 0.8);
	padding: 4px;
	border-radius: 0px 12px 12px 0px;
	border: 1px solid silver;
	white-space: nowrap;
}

.impressum {
	white-space: pre-wrap;
	padding: 24px;
	background: linear-gradient(to right bottom, rgba(255, 255, 255, 0.7),
		rgba(255, 255, 255, 0.3));
	border-radius: 6px;
	border: 1px solid silver;
}

.whitepanel {
	border: 1px solid silver;
	border-radius: 6px;
	background-image: linear-gradient(to right bottom, #fff, #eef);
	margin: 4px;
	padding: 8px;
}

/* overwrite bootstrap rules */
.navbar {
	padding-top: 2px !important;
	padding-bottom: 2px !important;
}
